# -*- coding: utf-8 -*- #
# Copyright 2022 Google LLC. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
- release_tracks: [GA]
  command_type: UPDATE
  help_text:
    brief: Update a new SAML workforce pool provider.
    description: Update a new SAML workforce pool provider.
    examples: |
      The following command updates the SAML workforce pool provider with the ID
      `my-workforce-pool-provider`. Explicit values for all required and optional parameters are
      provided.

        $ {command} my-workforce-pool-provider \
          --workforce-pool="my-workforce-pool" \
          --location="global" \
          --display-name="My Workforce Pool Provider" \
          --description="My workforce pool provider description." \
          --disabled \
          --detailed-audit-logging \
          --attribute-mapping="google.subject=assertion.sub" \
          --attribute-condition="true" \
          --idp-metadata-path="path/to/metdata/file.xml"

  request:
    collection: iam.locations.workforcePools.providers
    modify_request_hooks:
    - googlecloudsdk.command_lib.iam.hooks:AddClearableExtraAttributesConfigToRequest
    - googlecloudsdk.command_lib.iam.hooks:AddExtraAttributesConfigFieldMask
    - googlecloudsdk.command_lib.iam.hooks:AddClearableExtendedAttributesConfigToRequest
    - googlecloudsdk.command_lib.iam.hooks:AddExtendedAttributesConfigFieldMask

  arguments:
    resource:
      help_text: The workforce pool provider to update.
      spec: !REF googlecloudsdk.command_lib.iam.resources:workforce_pool_provider
      is_positional: true

    params:
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.display_name
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.description
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.disabled
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.detailed_audit_logging
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.attribute_mapping
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.attribute_condition
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.saml_idp_metadata_path
    - _REF_: googlecloudsdk.command_lib.iam.flags:workforce_pool_provider.scim_usage
    additional_arguments_hook: googlecloudsdk.command_lib.iam.workforce_pools.flags:AddClearableExtraAndExtendedAttributesOAuth2Client

  async:
    collection: iam.locations.workforcePools.providers.operations
